unit RipeMDT;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, RipeMD;

type
  TfrmRipeMDTest = class(TForm)
    grpInput: TGroupBox;
    edtInput: TEdit;
    btnDoText: TButton;
    btnDoFile: TButton;
    lblInput: TLabel;
    grpHash: TGroupBox;
    edtHashValue: TEdit;
    OpenDialog1: TOpenDialog;
    lblHash: TLabel;
    RipeMD1: TRipeMD;
    procedure btnDoTextClick(Sender: TObject);
    procedure btnDoFileClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmRipeMDTest: TfrmRipeMDTest;

implementation

{$R *.DFM}

{*******************************************************************************
* Procedure : btnDoTextClick                                                   *
********************************************************************************
* Purpose   : Creates the hash of the text in the input box                    *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmRipeMDTest.btnDoTextClick(Sender: TObject);
begin
     RipeMD1.Init;
     RipeMD1.HashString(edtInput.Text);
     RipeMD1.Finish;
     edtHashValue.Text := RipeMD1.GetHashString;
end; {btnDoTextClick}

{*******************************************************************************
* Procedure : btnDoFileClick                                                   *
********************************************************************************
* Purpose   : Creates the hash of the file specified by the open dialog        *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmRipeMDTest.btnDoFileClick(Sender: TObject);
begin
     {if OpenDialog1.Execute then
     begin
          MD51.HashFile(OpenDialog1.FileName);
          edtHashValue.Text := MD51.GetHashString;
     end; {if}
end; {btnDoFileClick}

end.
