unit Passtest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, RipeMD;

type
  TfrmPasswordTest = class(TForm)
    edtStorePassword: TEdit;
    btnSetPassword: TButton;
    lblPassword: TLabel;
    Bevel1: TBevel;
    Bevel2: TBevel;
    lblPasswordHashStore: TLabel;
    mmoSetExplanation: TMemo;
    Bevel3: TBevel;
    btnCheckPassword: TButton;
    mmoCheckExplanation: TMemo;
    lblPasswordHashCheck: TLabel;
    Bevel4: TBevel;
    Label1: TLabel;
    edtCheckPassword: TEdit;
    RipeMD1: TRipeMD;
    procedure btnSetPasswordClick(Sender: TObject);
    procedure btnCheckPasswordClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPasswordTest: TfrmPasswordTest;

implementation

{$R *.DFM}

procedure TfrmPasswordTest.btnSetPasswordClick(Sender: TObject);
begin
     RipeMD1.Init;
     RipeMD1.HashString(edtStorePassword.Text);
     RipeMD1.Finish;
     lblPasswordHashStore.Caption := RipeMD1.GetHashString;
end; {btnSetPasswordClick}

procedure TfrmPasswordTest.btnCheckPasswordClick(Sender: TObject);
begin
     RipeMD1.Init;
     RipeMD1.HashString(edtCheckPassword.Text);
     RipeMD1.Finish;
     lblPasswordHashCheck.Caption := RipeMD1.GetHashString;
     if lblPasswordHashCheck.Caption = lblPasswordHashStore.Caption then
     begin
          ShowMessage('The Password is correct!');
     end
     else
     begin
          ShowMessage('The Passwords do not match');
     end; {if}
end; {btnCheckPasswordClick}

end.
